Inspection
v1.0.0
Get inspection order details
Request
Query Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| userId | string | path | Yes | QIMA client user login ID. |
| orderId | string | path | Yes | Inspection order id |
Responses
200
Inspection order details returned successfully.
Content-Type: application/json
draft
object| Field | Type | Description |
|---|---|---|
| draftId | string | Id of the booking draft |
| isAnOrderNotADraft | boolean | Indicate is this booking is in editing status. Draft means the booking is being edited. |
| draftSteps | array | Can be ignored |
| draftSteps[].current | boolean | |
| draftSteps[].done | boolean | |
| draftSteps[].label | string | |
| draftSteps[].visited | boolean |
orderGeneralInfo
object| Field | Type | Description |
|---|---|---|
| orderId | string | Order id, primary key of the inspection order |
| orderPlacer | string | The username of account who placed the booking |
| status | string | Order status value of the booking, mapping between value and text are 5=DRAFT, 20=WAITING_FOR_VALIDATION, 21=WAITING_FOR_MORE_INF, 25=WAITING_FOR_FEEDBACK, 30=WAITING_FOR_ALLOCATION, 40=WAITING_FOR_INSPECTION, 50=WAITING_FOR_REPORT_VALIDATION, 60=FINISHED, 70=CANCELLED, 80=SERVICE_CUT |
| statusText | string | Order status text of the booking |
| serviceType | string | QIMA inspection service type value 1: PSI (Pre-Shipment Inspection), 2: IPC (Initial Production Check), 3: DUPRO (During Production Inspection) , 4: CLC (Container Loading Check), 6: PM (Production Monitoring), 8: SR (Sample Review), 21: SC (Sample Collection) |
| serviceTypeText | string | QIMA inspection service type text |
| bookingDate | string | Date of the inspection booking is placed, in format dd-MMM-yyyy |
| bookingDateUnixTimestamp | integer | Date of the inspection booking is placed in unix timestamp |
| orderNumber | string | QIMA booking order number, like R-Cloud-xx |
| companyId | string | Company id in QIMA system |
| userId | string | QIMA client user id |
| parentCompanyId | string | Parent company id in QIMA system |
| allowChangeInspectionDate | boolean | Indicate if in this order is supplier is allowed to change inspection date |
| supplierValidateCode | string | Code for supplier to fill when confirming inspection date and location via link in confirmation email |
| clientRefNb | string | Reference number client can use for referencing with QIMA's inspection booking |
| expectedInspectionDate | string | Original expected inspection date from client, in dd-MMM-yyyy format |
| expectedInspectionDateUnixTimestamp | integer | Original expected inspection date from client, in unix timestamp format |
| actualInspectionDate | string | Actual inspection date confirmed with factory, in dd-MMM-yyyy format |
| actualInspectionDateUnixTimestamp | integer | Actual inspection date confirmed with factory, in unix timestamp format |
| expectedShipDate | string | Original expected shipment date from client, in dd-MMM-yyyy format |
| expectedShipDateUnixTimestamp | integer | Original expected shipment date from client, in unix timestamp format |
| bookFromPreOrder | string | Previous inspection booking id, need to provide when place re-inspection |
| copyAllMailTo | array | Email addresses that all email related to order and reports will be copied to |
| copyReportMailTo | array | Email addresses that all report related to order and reports will be copied to |
| inspectionMethod | object | |
| inspectionMethod.id | string | Id of this system parameter |
| inspectionMethod.classification | string | Type of this system parameter |
| inspectionMethod.key | string | Key name of this system parameter |
| inspectionMethod.value | string | Value name of this system parameter |
| inspectionMethod.text | string | Displaying name of this system parameter |
| inspectionMethod.description | string | Displaying description of this system parameter |
| inspectionMethod.createTime | string | Creation time of this system parameter |
| inspectionMethod.updateTime | string | Update time of this system parameter |
| inspectionMethod.sequence | integer | Sequence of this system parameter when under same classification |
| container20 | integer | Number of containers (20 inches) - for Container Loading Check (CLC) only |
| container40 | integer | Number of containers (40 inches) - for Container Loading Check (CLC) only |
| container40HQ | integer | Number of containers (60 inches) - for Container Loading Check (CLC) only |
| customField1 | string | Custom field 1 depends on use case |
| customField2 | string | Custom field 2 depends on use case |
| customField3 | string | Custom field 3 depends on use case |
| performInQimaone | integer | Inspection perform platform type, 0: Within QSP, 1: In QIMAone from QSP, 2: In QIMAone from QIMAone |
| lcnumber | string | |
| confirmed | boolean | |
| icneeded | boolean | |
| lcappName | string | |
| lcappAddress | string | |
| lcbeneName | string | |
| lcbeneAddress | string |
orderExtra
object| Field | Type | Description |
|---|---|---|
| orderId | string | Order id, primary key of the inspection order |
| cancelable | boolean | Indicate currently if this booking can be cancelled |
| editable | boolean | Indicate currently if this booking can be modified |
| isReInspection | boolean | Indicate if this inspection is re-inspection |
| followUp | boolean | Indicate if audit is a follow-up audit, when this booking is an audit booking |
| originalNbReinsp | string | The original order number if this booking is an re-inspection |
| reInspectionInstruction | string | The original order number if this booking is an re-inspection |
| nbOfInspectors | integer | Inspectors count assigned to this inspection |
| prevOrderType | string | Previous service type |
| prevOrderStatus | string | Previous order status |
| prevServiceDate | string | Previous service date |
| prevServiceDateText | string | Previous service date, the value could be "Confidential", date, or a time window. |
| multiSupplierOrder | boolean | |
| quickBooking | boolean |
orderFactory
object| Field | Type | Description |
|---|---|---|
| id | string | Id of the factory in this booking |
| factoryId | string | Id of the factory in client's account |
| factoryCode | string | Factory's identification code in client's system |
| factoryName | string | Name of the factory |
| factoryNameCN | string | Chinese name of the factory |
| factoryMGRName | string | Name of the factory contact |
| factoryMGRMobile | string | Mobile phone number of the factory contact |
| factoryMGRNumber | string | Telephone phone number of the factory contact |
| factoryMGREmail | array | Emails of the the factory contact |
| factoryOtherMobile | string | Mobile phone of the alternative factory contact |
| factoryOtherName | string | Name of the alternative factory contact |
| factoryOtherNumber | string | Telephone number of the alternative factory contact |
| factoryOtherEmail | array | Emails of the the alternative factory contact |
| factoryAddress | string | Address of the factory |
| factoryCity | string | City of the factory |
| factoryProvince | string | Province of the factory |
| factoryCountry | string | Country of the factory |
| factoryContinent | string | Continent of the factory |
| factoryPostCode | string | Post code of the factory |
| factoryProductLines | array | Product lines of the factory |
| nbOfWorkers | integer | Number of the workers in the factory |
| isMutiLocation | boolean | Indicate if this inspection needs to be done in multiple factories |
| ext1 | string | Customer fields 1 of the factory info in this booking |
| ext2 | string | Customer fields 2 of the factory info in this booking |
| ext3 | string | Customer fields 3 of the factory info in this booking |
| factoryCityId | string | City id of the factory in QIMA system |
orderSupplier
object| Field | Type | Description |
|---|---|---|
| orderId | string | Id of the order |
| id | string | Id of the supplier in this booking |
| supplierCode | string | Supplier's identification code in client's system |
| supplierName | string | Name of the supplier |
| supplierNameCN | string | Chinese name of the factory |
| supplierMGRName | string | Name of the factory contact |
| supplierMGRMobile | string | Mobile phone number of the factory contact |
| supplierMGRNumber | string | Telephone phone number of the factory contact |
| supplierMGREmail | array | Emails of the the factory contact |
| supplierOtherName | string | Name of the alternative factory contact |
| supplierOtherMobile | string | Mobile phone of the alternative factory contact |
| supplierOtherNumber | string | Telephone number of the alternative factory contact |
| supplierOtherEmail | array | Emails of the the alternative factory contact |
| supplierAddress | string | Address of the factory |
| supplierCity | string | City of the factory |
| supplierPostCode | string | Post code of the factory |
| supplierCountry | string | Country of the factory |
| supplierContinentID | string | Continent id of the factory in QIMA system |
| supplierProductLines | array | Product lines of the factory |
| supplierId | string | Id of the supplier in client's account |
| ext1 | string | Customer fields 1 of the factory info in this booking |
| ext2 | string | Customer fields 2 of the factory info in this booking |
| ext3 | string | Customer fields 3 of the factory info in this booking |
| isActive | string | Indicate if this supplier still can be selected for service |
orderPrice
object| Field | Type | Description |
|---|---|---|
| orderId | string | Order id of this product in this booking |
| draftId | string | Id of the inspection booking draft |
| totalManday | number | Total charged man day |
| totalCharge | number | Total price of this service order |
| totalMandayByClient | number | Total man day booked by client |
| inspectionChargeType | string | Charge type of this service |
| totalInspectionUnit | number | Total man day booked by client |
| inspUnitPrice | number | Unit price of inspection service |
| inspectionCharge | number | Charges of inspection service |
| expressBookingFee | number | Fee when there is booking is placed late |
| totalQuantity | number | Total quantity of the product |
| sampleLevel | string | Sampling level, default to II |
| sampleSizeUnit | string | Unit of the sampling size, default to pcs |
| sampleSizeTotal | number | Total sample size |
| measurementSampleLevel | string | Sample level in measurement, default to S4 |
| measurementSampleQuantity | integer | Picked quantity in measurement |
| fabricSampleLevel | string | Sample level when inspection type is fabric |
| nbOfContainers | integer | How many containers in this service |
| sampleCollectionRequestByClient | boolean | Indicate if this sample collection is requested by client |
| sampleCharge | number | Charge of sampling |
| sampleCollectionRate | number | Unit price of sample collection |
| nbOfExtraReports | integer | How many extra reports in this service |
| extraReportRate | number | Unit price of extra report |
| extraReportCharge | number | Total price of extra report |
| pointsQtyToInspect | integer | Total measurement |
| taxAmount | number | Total tax amount |
| otherAuditRate | number | Audit unit price in other types |
| countryNb | integer | Useless now, can be ignored |
| optionalQuantity | integer | Quantity of optional service in manufacture audit |
| optionalUnitPrice | number | Unit price of optional service in manufacture audit |
| optionalCharge | number | Total charge of optional service in manufacture audit |
| otherChargeName | string | Service name of optional service in manufacture audit |
| factoryWorkers | string | How many workers in the factory |
| auditNbOfMDBookedByClient | number | Client booked man day for audit service |
| auditUnitPrice | number | Unit price of audit service |
| auditPrice | number | Total price of audit service |
| nbOfMDSpent | integer | Total spent man day of audit service |
| mdRequested | number | Client request man day of audit service |
| sampleCollectedAndSentByAI | boolean | Indicate if sample collection is done by QIMA |
| otherCharge | number | Amount of other charges in this service |
| offlineCharge | number | Charge when payment is made after service completed |
| productPriceMandayViews | array | |
| productPriceMandayViews[].productId | string | Id of this product |
| productPriceMandayViews[].productName | string | Name of this product |
| productPriceMandayViews[].draftProductId | string | Id of the product id in this booking booking draft |
| productPriceMandayViews[].productManday | number | Service Man day in product level |
| productPriceMandayViews[].inspUnitPrice | number | Inspection service unit price |
| productPriceMandayViews[].sampleLevel | string | Sample level in product level |
| productPriceMandayViews[].sampleSizeUnit | string | Unit of sample size |
| productPriceMandayViews[].mdNb | integer | Number of service man day |
| productPriceMandayViews[].mdp | number | Number of service man day in product level |
| productPriceMandayViews[].aqlQuantityLog | number | Same as sample size in product level |
| productPriceMandayViews[].sampleSize | number | Sample size in product level |
| productPriceMandayViews[].maxRefPerMD | number | Maximum references can be inspected in 1 man day |
| productPriceMandayViews[].normalCurrentMd | number | Useless now, can be ignored |
| productPriceMandayViews[].mdPerRef | number | Useless now, can be ignored |
| productPriceMandayViews[].aqlQuantity | number | |
| productPriceMandayViews[].nbPerMd | number | |
| productPriceMandayViews[].maxNbPerMd | number | |
| productPriceMandayViews[].fabricSampleLevel | string | Sample level when inspection type is 'Fabric' |
| productPriceMandayViews[].totalFabricLength | integer | Total length when inspection type is 'Fabric' |
| productPriceMandayViews[].rightFabricLength | number | Useless now, can be ignored |
| productPriceMandayViews[].sampleLevelWorkManShip | string | Workman ship when inspection type is 'Textile' |
| productPriceMandayViews[].sampleLevelMeasurement | string | Measurement when inspection type is 'Textile' |
| productPriceMandayViews[].totalSampleSizeWorkManShip | number | Total workman ship sample size when inspection type is 'Textile' |
| productPriceMandayViews[].totalSampleSizeMeasurement | integer | Total sample size when inspection type is 'Textile' |
| productPriceMandayViews[].mdByMeasurementLog | number | Man day of measurement when inspection type is 'Textile' |
| productPriceMandayViews[].measurementAqlQuantityLog | integer | Same as totalSampleSizeMeasurement, when inspection type is 'Textile' |
| productPriceMandayViews[].totalMeasurementAqlLog | integer | Total measurement AQL, when inspection type is 'Textile' |
| productPriceMandayViews[].nbMeasurementPerMdLog | number | Number of measurement per man day, when inspection type is 'Textile' |
| productPriceMandayViews[].prodRefAqlSampleViews | array | Useless now, can be ignored |
| productPriceMandayViews[].prodRefAqlSampleViews[].draftId | string | Id of the inspection booking draft |
| productPriceMandayViews[].prodRefAqlSampleViews[].productId | string | Product id of this product reference belongs to |
| productPriceMandayViews[].prodRefAqlSampleViews[].productRefId | string | Product reference id |
| productPriceMandayViews[].prodRefAqlSampleViews[].aqlCritical | string | Allowed AQL in critical level in this product reference |
| productPriceMandayViews[].prodRefAqlSampleViews[].aqlMajor | string | Allowed AQL in major level in this product reference |
| productPriceMandayViews[].prodRefAqlSampleViews[].aqlMinor | string | Allowed AQL in minor level in this product reference |
| productPriceMandayViews[].prodRefAqlSampleViews[].measurementAql | string | |
| productPriceMandayViews[].prodRefAqlSampleViews[].fabricSampleLevel | string | |
| productPriceMandayViews[].prodRefAqlSampleViews[].sampleLevel | string | |
| productPriceMandayViews[].prodRefAqlSampleViews[].measurementSampleLevel | string | |
| productPriceMandayViews[].prodRefAqlSampleViews[].sampleSize | number | |
| productPriceMandayViews[].prodRefAqlSampleViews[].measurementSampleSize | integer | |
| productPriceMandayViews[].prodRefAqlSampleViews[].totalMeasurements | integer | |
| productPriceMandayViews[].prodRefAqlSampleViews[].quantity | integer | Quantity in product reference level |
| productPriceMandayViews[].prodRefAqlSampleViews[].quantityUnit | string | Unit of the product quantity |
| productPriceMandayViews[].prodRefAqlSampleViews[].manDay | number | Man day in product reference level |
| productPriceMandayViews[].prodRefAqlSampleViews[].bookingType | string | Booking type in product reference level |
| productPriceMandayViews[].prodRefAqlSampleViews[].poNumber | string | PO number |
| productPriceMandayViews[].prodRefAqlSampleViews[].skuNumber | string | SKU number |
| productPriceMandayViews[].prodRefAqlSampleViews[].seqNumber | string | Sequence number |
| productPriceMandayViews[].prodRefAqlSampleViews[].fabricMaxPenalty | integer | |
| productPriceMandayViews[].prodRefAqlSampleViews[].fabricMaxAverage | integer | |
| productPriceMandayViews[].prodRefAqlSampleViews[].fabricMaxPenaltyUnit | string | |
| productPriceMandayViews[].prodRefAqlSampleViews[].fabricMaxAverageUnit | string | |
| orderChargeItemVos | array | |
| orderChargeItemVos[].chargeType | object | |
| orderChargeItemVos[].orderChargeItem | object | |
| orderChargeItemVos[].orderChargeItem.id | string | |
| orderChargeItemVos[].orderChargeItem.orderId | string | |
| orderChargeItemVos[].orderChargeItem.chargeTypeId | string | |
| orderChargeItemVos[].orderChargeItem.charge | number | |
| orderChargeItemVos[].orderChargeItem.comments | string | |
| orderChargeItemVos[].orderChargeItem.createTime | string | |
| orderChargeItemVos[].orderChargeItem.updateTime | string | |
| orderChargeItemVos[].orderChargeItem.createBy | string | |
| orderChargeItemVos[].orderChargeItem.updateBy | string | |
| orderChargeItemVos[].orderChargeItem.rate | number | |
| orderChargeItemVos[].orderChargeItem.multiplier | integer |
products
array<object>| Field | Type | Description |
|---|---|---|
| draftProductId | string | Id of the product id in this booking booking draft |
| draftId | string | Id of the inspection booking draft |
| productBean | object | |
| productBean.orderId | string | Order id of this product in this booking |
| productBean.productId | string | Id of this product |
| productBean.seq | integer | Sequence of this product |
| productBean.maxPcsPerMD | integer | |
| productBean.maxRefPerMD | integer | |
| productBean.maxPtsPerMD | integer | |
| productBean.nbOfRefInReport | integer | |
| productBean.prodCategoryClient | string | Product category selected by client while booking |
| productBean.prodFamilyClient | string | Product family selected by client while booking |
| productBean.prodType | string | Product type decided by client while booking |
| productBean.isReinspection | string | If this inspection is an re-inspection |
| productBean.preInspection | string | TODO |
| productBean.preInspectionDate | string | TODO |
| productBean.preInspectionDateUnitTimeStamp | integer | TODO |
| productBean.reinspectionComment | string | Comment for inspection |
| productBean.prodName | string | Product name |
| productBean.prodDivision | string | Division name that this product belongs to in client's company |
| productBean.prodReference | string | Product reference, like sku number |
| productBean.prodQuantity | integer | Product quantity, numbers only |
| productBean.prodQuantityUnit | string | Unit name of the product quantity, like pcs, sets |
| productBean.otherUnit | string | Unit name of the product quantity if it's not pcs, sets, like pcs |
| productBean.nbOfPcsPerSets | integer | How many pcs per set |
| productBean.nbOfPtsPerSets | integer | How many pcs per set |
| productBean.poNumber | string | PO number |
| productBean.prodApparelCategory | string | Category name when this product belongs to apparel |
| productBean.numberOfReferences | integer | How many reference in this product |
| productBean.bookingtype | string | QIMA inspection type |
| productBean.expectedFinishedPct | integer | Percentage of the expected production finished productions for inspection |
| productBean.expectedPackedPct | integer | Percentage of the expected packed production for inspection |
| productBean.setsDescription | string | TODO |
| productBean.customField1 | string | Product level custom field 1 depends on use case |
| productBean.customField2 | string | Product level custom field 2 depends on use case |
| productBean.customField3 | string | Product level custom field 3 depends on use case |
| productBean.productRefs | array | |
| productBean.productRefs[].id | string | Product reference id |
| productBean.productRefs[].productId | string | Product id of this product reference belongs to |
| productBean.productRefs[].brand | string | Brand name |
| productBean.productRefs[].prodRefSeq | string | Sequence of this product reference |
| productBean.productRefs[].prodRefPoNb | string | Product reference number |
| productBean.productRefs[].prodRefSkuNb | string | Product reference sku number |
| productBean.productRefs[].prodRefQuantity | integer | Quantity of this product reference |
| productBean.productRefs[].supplierId | string | Supplier id of this product reference belongs to, if there is more than 1 supplier in this booking |
| productBean.productRefs[].supplierName | string | Supplier name of this product reference belongs to, if there is more than 1 supplier in this booking |
| productBean.productRefs[].customField1 | string | Product reference level custom field 1 depends on use case |
| productBean.productRefs[].customField2 | string | Product reference level custom field 2 depends on use case |
| productBean.productRefs[].customField3 | string | Product reference level custom field 3 depends on use case |
| productBean.productRefs[].customField4 | string | Product reference level custom field 4 depends on use case |
| productBean.productRefs[].customField5 | string | Product reference level custom field 5 depends on use case |
| productBean.productRefs[].customField6 | string | Product reference level custom field 6 depends on use case |
| productBean.productRefs[].customField7 | string | Product reference level custom field 7 depends on use case |
| productBean.productRefs[].customField8 | string | Product reference level custom field 8 depends on use case |
| productBean.productRefs[].customField9 | string | Product reference level custom field 9 depends on use case |
| productBean.productRefs[].customField10 | string | Product reference level custom field 10 depends on use case |
| productBean.productRefs[].customField11 | string | Product reference level custom field 11 depends on use case |
| productBean.productRefs[].customField12 | string | Product reference level custom field 12 depends on use case |
| productChecklistBean | object | |
| productChecklistBean.productId | string | Id of this product |
| productChecklistBean.checklistFrom | string | |
| productChecklistBean.clientChecklistId | string | |
| productChecklistBean.checklistNumber | string | |
| productChecklistBean.clientComments | string | Client's comment on this checklist |
| productChecklistBean.prodSampleLevel | string | Product sample level |
| productChecklistBean.prodMeasurementSampleLevel | string | |
| productChecklistBean.aqlTypel | string | AQL type, can be customized or standard |
| productChecklistBean.aqlCritical | string | Allowed AQL in critical level |
| productChecklistBean.aqlMajor | string | Allowed AQL in major level |
| productChecklistBean.aqlMinor | string | Allowed AQL in minor level |
| productChecklistBean.prodSampleSize | integer | Product sample size |
| productChecklistBean.prodMeasurementSampleSize | integer | Product measurement sample size |
| productChecklistBean.prodMd | number | |
| productChecklistBean.measurementAQL | string | |
| productChecklistBean.fabricSampleLevel | string | |
| productChecklistBean.fabricMaxPenalty | integer | |
| productChecklistBean.fabricMaxAverage | integer | |
| productChecklistBean.fabricMaxPenaltyUnit | string | |
| productChecklistBean.fabricMaxAverageUnit | string | |
| productChecklistBean.performClientTestsOnly | string | |
| productChecklistBean.performClientTestsOnlyBoolean | boolean | |
| productChecklistBean.defectList | array | |
| productChecklistBean.defectList[].id | string | |
| productChecklistBean.defectList[].productId | string | |
| productChecklistBean.defectList[].defectId | string | |
| productChecklistBean.defectList[].publicDefectId | string | |
| productChecklistBean.defectList[].isPublic | boolean | |
| productChecklistBean.defectList[].selectedBy | integer | |
| productChecklistBean.defectList[].defectName | string | |
| productChecklistBean.defectList[].expectedDefect | string | |
| productChecklistBean.defectList[].classification | string | |
| productChecklistBean.defectList[].fileId | string | |
| productChecklistBean.defectList[].fileName | string | |
| productChecklistBean.defectList[].originDefectId | string | |
| productChecklistBean.testList | array | |
| productChecklistBean.testList[].id | string | |
| productChecklistBean.testList[].productId | string | |
| productChecklistBean.testList[].testId | string | |
| productChecklistBean.testList[].publicTestId | string | |
| productChecklistBean.testList[].isPublic | boolean | |
| productChecklistBean.testList[].selectedBy | integer | |
| productChecklistBean.testList[].testName | string | |
| productChecklistBean.testList[].instructionTest | string | |
| productChecklistBean.testList[].expectedResult | string | |
| productChecklistBean.testList[].sampleLevel | string | |
| productChecklistBean.testList[].sampleSize | string | |
| productChecklistBean.testList[].fileId | string | |
| productChecklistBean.testList[].fileName | string | |
| productChecklistBean.testList[].originTestId | string | |
| productChecklistBean.bookingType | string | Booking type in product level |
| productChecklistBean.prodQuantity | number | Product level product quantity |
| productChecklistBean.prodQuantityUnit | string | Unit name of the product quantity, like pcs, sets |
| productChecklistBean.otherUnit | string | |
| productChecklistBean.productAqlList | array | |
| productChecklistBean.productAqlList[].createTime | string | |
| productChecklistBean.productAqlList[].updateTime | string | |
| productChecklistBean.productAqlList[].createBy | string | |
| productChecklistBean.productAqlList[].updateBy | string | |
| productChecklistBean.productAqlList[].accessTime | string | |
| productChecklistBean.productAqlList[].params | object | |
| productChecklistBean.productAqlList[].id | string | |
| productChecklistBean.productAqlList[].productId | string | |
| productChecklistBean.productAqlList[].productReferenceId | string | |
| productChecklistBean.productAqlList[].prodSampleLevel | string | |
| productChecklistBean.productAqlList[].prodMeasurementSampleLevel | string | |
| productChecklistBean.productAqlList[].aqlType | string | |
| productChecklistBean.productAqlList[].aqlCritical | string | |
| productChecklistBean.productAqlList[].aqlCriticalText | string | |
| productChecklistBean.productAqlList[].aqlMajor | string | |
| productChecklistBean.productAqlList[].aqlMajorText | string | |
| productChecklistBean.productAqlList[].aqlMinor | string | |
| productChecklistBean.productAqlList[].aqlMinorText | string | |
| productChecklistBean.productAqlList[].prodSampleSize | integer | |
| productChecklistBean.productAqlList[].prodMeasurementSampleSize | integer | |
| productChecklistBean.productAqlList[].prodMd | number | |
| productChecklistBean.productAqlList[].measurementAQL | string | |
| productChecklistBean.productAqlList[].measurementAqlText | string | |
| productChecklistBean.productAqlList[].fabricSampleLevel | string | |
| productChecklistBean.productAqlList[].fabricMaxPenalty | integer | |
| productChecklistBean.productAqlList[].fabricMaxAverage | integer | |
| productChecklistBean.productAqlList[].fabricMaxPenaltyUnit | string | |
| productChecklistBean.productAqlList[].fabricMaxAverageUnit | string | |
| productChecklistBean.productAqlList[].performClientTestsOnly | string | |
| productChecklistBean.productAqlList[].criticalFound | integer | |
| productChecklistBean.productAqlList[].majorFound | integer | |
| productChecklistBean.productAqlList[].minorFound | integer | |
| productChecklistBean.productAqlList[].criticalChecked | integer | |
| productChecklistBean.productAqlList[].majorChecked | integer | |
| productChecklistBean.productAqlList[].minorChecked | integer | |
| productChecklistBean.productAqlList[].criticalMax | integer | |
| productChecklistBean.productAqlList[].majorMax | integer | |
| productChecklistBean.productAqlList[].minorMax | integer | |
| productChecklistBean.productAqlList[].criticalAllowedDefectFrom | integer | |
| productChecklistBean.productAqlList[].criticalAllowedDefectTo | integer | |
| productChecklistBean.productAqlList[].majorAllowedDefectFrom | integer | |
| productChecklistBean.productAqlList[].majorAllowedDefectTo | integer | |
| productChecklistBean.productAqlList[].minorAllowedDefectFrom | integer | |
| productChecklistBean.productAqlList[].minorAllowedDefectTo | integer | |
| productChecklistBean.productAqlList[].inspResult | string | |
| productChecklistBean.productAqlList[].defectDescFound | string | |
| productChecklistBean.productAqlList[].comments | string | |
| productChecklistBean.productAqlList[].seq | integer | |
| productChecklistBean.productAqlList[].bookingType | string | |
| productChecklistBean.productAqlList[].prodQuantity | number | |
| productChecklistBean.productAqlList[].prodQuantityUnit | string | |
| productChecklistBean.productAqlList[].otherUnit | string | |
| productChecklistBean.productAqlList[].measurementFound | integer | |
| productChecklistBean.productAqlList[].measurementMax | integer | |
| productChecklistBean.productAqlList[].measurementChecked | integer | |
| productChecklistBean.productAqlList[].customizedAql | string | |
| productChecklistBean.productAqlList[].customizedAqlText | string | |
| productChecklistBean.productAqlList[].customizedAqlAllowedDefectFrom | integer | |
| productChecklistBean.productAqlList[].customizedAqlAllowedDefectTo | integer | |
| productChecklistBean.productAqlList[].customizedAqlFound | integer | |
| productChecklistBean.productAqlList[].customizedAqlMax | integer | |
| productChecklistBean.productAqlList[].customizedAqlChecked | integer | |
| productChecklistBean.productAqlList[].aqlFlag | integer | |
| productChecklistBean.customizedAql | string | |
| productChecklistBean.customizedAqlText | string | |
| sampleCollection | object | |
| sampleCollection.id | string | |
| sampleCollection.productId | string | |
| sampleCollection.collectSample | integer | |
| sampleCollection.sampleNb | integer | |
| sampleCollection.sampleUnit | string | |
| sampleCollection.sampleBy | integer | |
| sampleCollection.collectMethod | integer | |
| sampleCollection.courier | string | |
| sampleCollection.trackNb | string | |
| sampleCollection.address | string | |
| sampleCollection.postcode | string | |
| sampleCollection.clientComments | string | |
| sampleCollection.collectLtSample | integer | |
| sampleCollection.ltSampleNb | integer | |
| sampleCollection.ltClientComments | string | |
| sampleCollection.ltSampleRefNb | string | |
| sampleCollection.clientAccountNumber | string | |
| sampleCollection.productName | string | |
| sampleReference | object | |
| sampleReference.id | string | |
| sampleReference.reference | integer | |
| sampleReference.courier | string | |
| sampleReference.trackNb | string | |
| sampleReference.clientComments | string | |
| sampleReference.productId | string | |
| productSpec | object | |
| productSpec.productId | string | |
| productSpec.nbOfPoints | integer | |
| productSpec.logoDes | string | |
| productSpec.performDropTest | boolean | |
| productSpec.unitPacking | string | |
| productSpec.innerPacking | string | |
| productSpec.outerPacking | string | |
| productSpec.packingComments | string | |
| productSpec.shippingMarks | string | |
| productSpec.nbOfRawMaterials | integer | |
| productSpec.rawMaterialsDes | string | |
| productSpec.clcNbOfPallets | integer | |
| productSpec.clcNbOfCartons | integer | |
| productSpec.clcNbOfPcsPerCarton | integer | |
| productSpec.clcNumberingFrom | string | |
| productSpec.clcNumberingTo | string | |
| productSpec.additionalComment | string | |
| productSpec.productColors | array | |
| productSpec.productColors[].id | string | Id of product color |
| productSpec.productColors[].productId | string | Id of this product |
| productSpec.productColors[].seq | integer | Sequence of product color |
| productSpec.productColors[].colorDes | string | Product color |
| productSpec.productTextileColors | array | |
| productSpec.productTextileColors[].id | string | |
| productSpec.productTextileColors[].productId | string | |
| productSpec.productTextileColors[].seq | integer | |
| productSpec.productTextileColors[].colorRef | string | |
| productSpec.productTextileColors[].colorCode | string | |
| productSpec.productTextileColors[].colorQuantity | string | |
| productSpec.productDimensions | array | |
| productSpec.productDimensions[].productId | string | Id of this product |
| productSpec.productDimensions[].id | string | Id of this product dimension |
| productSpec.productDimensions[].seq | integer | Sequence of this product dimension |
| productSpec.productDimensions[].dimensionDes | string | Product dimension |
| completed | boolean |
orderSpecialRequests
array<object>| Field | Type | Description |
|---|
{
"message": null,
"content": {
"draft": {
"draftId": null,
"isAnOrderNotADraft": true,
"draftSteps": null
},
"orderGeneralInfo": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"orderPlacer": "apiuser001",
"status": "20",
"statusText": "WAITING_FOR_VALIDATION",
"serviceType": "1",
"serviceTypeText": "PSI",
"bookingDate": "02-Jul-2026",
"orderNumber": "Q2600368591-PP",
"companyId": "23EC09AB0F3C46BBA4F79718DCED16D0",
"userId": "4C6E94072DFC4918B60752F701DE544A",
"clientRefNb": "2107-0-041",
"confirmed": false
},
"orderExtra": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"cancelable": true,
"editable": true,
"isReInspection": false,
"nbOfInspectors": 1
},
"orderFactory": {
"factoryId": "22904F91A04A41E09EABD465E165152F",
"factoryName": "Sample Factory Co.",
"factoryMGRName": "Factory Manager",
"factoryMGRNumber": "13800000004",
"factoryAddress": "LuoHuQu ChunFenglu 999",
"factoryProductLines": [
"bigCat1_s2",
"bigCat1_s3"
]
},
"orderSupplier": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"supplierName": "Sample Supplier Co.",
"supplierMGRName": "Supplier Manager",
"supplierId": "9CB3F02222CA46FC8791D790D5422582",
"supplierProductLines": [
"bigCat1_s2",
"bigCat1_s3"
]
},
"orderPrice": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"totalManday": 1,
"totalCharge": 332.79,
"inspectionChargeType": "MAN_DAY",
"sampleLevel": "II"
},
"products": [
{
"productBean": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"productId": "FF672B8C7E4249E5B09285ABE83A23E1",
"prodName": "Dumbbell Kaytan 2kg",
"prodQuantity": 4260,
"poNumber": "6111"
},
"completed": false
}
],
"orderSpecialRequests": []
}
}GET
/user/{userId}/inspection-order/{orderId}Request samples
application/json
{}
Response samples
application/json
{
"message": null,
"content": {
"draft": {
"draftId": null,
"isAnOrderNotADraft": true,
"draftSteps": null
},
"orderGeneralInfo": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"orderPlacer": "apiuser001",
"status": "20",
"statusText": "WAITING_FOR_VALIDATION",
"serviceType": "1",
"serviceTypeText": "PSI",
"bookingDate": "02-Jul-2026",
"orderNumber": "Q2600368591-PP",
"companyId": "23EC09AB0F3C46BBA4F79718DCED16D0",
"userId": "4C6E94072DFC4918B60752F701DE544A",
"clientRefNb": "2107-0-041",
"confirmed": false
},
"orderExtra": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"cancelable": true,
"editable": true,
"isReInspection": false,
"nbOfInspectors": 1
},
"orderFactory": {
"factoryId": "22904F91A04A41E09EABD465E165152F",
"factoryName": "Sample Factory Co.",
"factoryMGRName": "Factory Manager",
"factoryMGRNumber": "13800000004",
"factoryAddress": "LuoHuQu ChunFenglu 999",
"factoryProductLines": [
"bigCat1_s2",
"bigCat1_s3"
]
},
"orderSupplier": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"supplierName": "Sample Supplier Co.",
"supplierMGRName": "Supplier Manager",
"supplierId": "9CB3F02222CA46FC8791D790D5422582",
"supplierProductLines": [
"bigCat1_s2",
"bigCat1_s3"
]
},
"orderPrice": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"totalManday": 1,
"totalCharge": 332.79,
"inspectionChargeType": "MAN_DAY",
"sampleLevel": "II"
},
"products": [
{
"productBean": {
"orderId": "8D21A68F78124F828E2232051E2712FD",
"productId": "FF672B8C7E4249E5B09285ABE83A23E1",
"prodName": "Dumbbell Kaytan 2kg",
"prodQuantity": 4260,
"poNumber": "6111"
},
"completed": false
}
],
"orderSpecialRequests": []
}
}
